<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDyyemailsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        if (!Schema::hasTable('dyyemails')){
            Schema::create('dyyemails', function (Blueprint $table) {
                $table->id();
                $table->bigInteger('user_id')->unsigned()->comment('关联users');
                $table->foreign('user_id')->references('id')->on('users')->onUpdate('cascade');
                $table->unsignedInteger('dyyemail_id')->default(0)->comment('ID');
                $table->unsignedInteger('role_id')->default(0)->comment('1,管理员。2，普通员工');
                $table->unsignedInteger('parent_id')->default(0)->comment("上级user_id");
                $table->string('name')->comment('姓名');
                $table->string('mobile')->unique()->comment('手机号');
                $table->string('email')->nullable()->comment('邮箱');
                $table->string('company')->comment("公司名称");
                $table->timestamps();
            });
        }

    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('dyyemails');
    }
}
